6.0.0-git
2019-04-24

[#13751] Also not succesful sent mails are count for max_timelimit
Summary Also not succesful sent mails are count for max_timelimit
Queue IMP
Queue Version 6.2.3
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester martin.schuhmann (at) uni-wuerzburg (dot) de
Created 2014-12-11 (1595 days ago)
Due
Updated 2014-12-20 (1586 days ago)
Assigned
Resolved 2014-12-20 (1586 days ago)
Milestone
Patch Yes

History
2014-12-20 20:58:41 Michael Slusarz Comment #5
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
IMP 6.2.5
2014-12-20 20:58:37 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit be99255f6b85369a473dafd45f3b90196a020b28
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Dec 20 13:55:51 2014 -0700

     [mms] Only count successful compose mails when determining 
recipient limits (Bug #13751).

     Conflicts:
             imp/docs/CHANGES
             imp/package.xml

  imp/docs/CHANGES           |    8 ++++++++
  imp/lib/Sentmail/Mongo.php |    1 +
  imp/lib/Sentmail/Sql.php   |    7 +++++--
  imp/package.xml            |   13 +++++++++++++
  4 files changed, 27 insertions(+), 2 deletions(-)

http://github.com/horde/horde/commit/be99255f6b85369a473dafd45f3b90196a020b28
2014-12-20 20:56:06 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 2ae438bf712d83165aab8fbe57eddfa2b1e73552
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Dec 20 13:55:51 2014 -0700

     [mms] Only count successful compose mails when determining 
recipient limits (Bug #13751).

  imp/docs/CHANGES           |    2 ++
  imp/lib/Sentmail/Mongo.php |    1 +
  imp/lib/Sentmail/Sql.php   |    7 +++++--
  imp/package.xml            |    4 ++--
  4 files changed, 10 insertions(+), 4 deletions(-)

http://github.com/horde/horde/commit/2ae438bf712d83165aab8fbe57eddfa2b1e73552
2014-12-11 14:45:58 martin (dot) schuhmann (at) uni-wuerzburg (dot) de Comment #2 Reply to this comment
the patch.
2014-12-11 14:40:37 martin (dot) schuhmann (at) uni-wuerzburg (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Also not succesful sent mails are count for max_timelimit
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ Yes
Reply to this comment
In the SQL-Sentmail Driver also not successful sent mails (e.g. 
because they had more max_recipients than allowed) are counted.
In my opinion only successful sent mail should count for 'numberOfRecipients'.

thx
Martin

Saved Queries